---
dependency:
  name: galaxy
  role-file: requirements.yml
driver:
  name: lxd
platforms:
  - name: molecule--vv-role-firewall  # should remove lxd server password in creation of test base image 
    source: 
      server: https://127.0.0.1:8443
      alias: vv-lxd-test-base-image
    config:
      linux.kernel_modules: ip_tables,ip6_tables,iptable_filter,ip6table_filter
provisioner:
  name: ansible
  playbooks:
    converge: ${MOLECULE_PLAYBOOK:-converge.yml}
scenario:
  test_sequence:
    - lint
    - destroy
    - dependency
    - syntax
    - create
    - prepare
    - converge
    - idempotence
    - check
    - side_effect
    - verify
    - destroy


